<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php');
if (isset($_POST['art_id'])){ $art_id=$_POST['art_id'];}                        
if (isset($_POST['art_referencia'])){ $art_referencia=$_POST['art_referencia'];}
if (isset($_POST['cantidad'])){$cantidad=$_POST['cantidad'];}
if (isset($_POST['precio_venta'])){ $precio_venta=$_POST['precio_venta'];}
if ($_POST['art_iva']>0){$art_iva=$_POST['art_iva'];} else { $art_iva='0';}
if ($_POST['descuento']>0){ $descuento=$_POST['descuento']; } else { $descuento='0';}
if (isset($_POST['nombre'])){ $nombre=$_POST['nombre'];}
if (isset($_POST['fac'])){$fac=$_POST['fac'];}

if (!empty($cantidad) )
{
	$sqll=mysqli_query($con,"SELECT ordt_art_id FROM orden_detalle_temp WHERE ordt_art_id='$art_id' and ordt_tipo='detallado' and empresa='$empresa' and usuario='$usu_id'") ;
    if($roww=mysqli_fetch_array($sqll))
    { 
        $can7=mysqli_query($con,"SELECT * FROM orden_detalle_temp WHERE ordt_art_id='$art_id' and ordt_tipo='detallado' and empresa='$empresa' and usuario='$usu_id'") or die(mysqli_error($con));  
        $dato=mysqli_fetch_array($can7);
        $ordt_art_id=$dato['ordt_art_id'];            
        $c=$dato['ordt_cantidad'];
        $suma=$c+$cantidad;

        $registros=mysqli_query($con,"UPDATE orden_detalle_temp Set ordt_cantidad='$suma',ordt_precio='$precio_venta' Where ordt_art_id='$art_id' and ordt_tipo='detallado' and empresa='$empresa' and usuario='$usu_id'") or die(mysqli_error($con));
    }
    else
    {   
       $sql=mysqli_query($con,"INSERT INTO orden_detalle_temp (art_art_id,ordt_art_id,ordt_referencia,ordt_nombre,ordt_cantidad,ordt_iva,ordt_desc,ordt_precio,ordt_tipo,fact,usuario,empresa) 
        VALUES ('0','$art_id','$art_referencia','$nombre','$cantidad','$art_iva','$descuento','$precio_venta','detallado','si','$usu_id','$empresa')") or die(mysqli_error($con));
    }
}
?>